## configobj 4.7.1

=== debian/changelog ===
configobj (4.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Stefano Rivera <stefano@rivera.za.net>  Tue, 16 Feb 2010 07:59:06 +0200

configobj (4.7.0-1) unstable; urgency=low

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

  [ Stefano Rivera ]
  * New upstream release. (Closes: 555407)
  * Package under team maintenance. (Closes: 544448)
  * Bumped Standards-Version to 3.8.4 (no changes needed).
  * Converted to 3.0 (quilt)
  * debian/rules
    - Converted to debhelper 7 overrides
    - Don't compress epydoc.js
  * Patches:
    - 01_eggify.dpatch converted to eggify.diff (quilt+DEP3).
    - 02_doc_generation_fix.dpatch removed (fixed upstream)
  * debain/control
    - Unversioned python-setuptools dependency (oldstable has a suitable
      version)
    - Removed unecessary XB-Python-Version.
    - Minor changes to description.
  * debian/copyright
    - Updated years and added author Mark Andrews.
    - Included full license, as it isn't identical to the common-licenses one.
  * debian/watch
    - Switched from sf.net to author's homepage, as redirector can't see
      4.7.0.

 -- Stefano Rivera <stefano@rivera.za.net>  Mon, 01 Feb 2010 01:34:21 +0200

configobj (4.5.3-1) experimental; urgency=low

  * New upstream release.
  * Adopting. (Closes: #493792)
  * Switched from using CDBS to debhelper 7.
  * Patches:
    + Converted 01_eggify.diff to 01_eggify.dpatch.
    + Added 02_doc_generation_fix.dpatch, which allows the documentation to
      build.
  * Bumped Standards-Version to 3.8.0.
  * Added python-docutils to Build-Depends-Indep.

 -- Daniel Watkins <daniel@daniel-watkins.co.uk>  Sat, 20 Sep 2008 11:50:33 +0100

configobj (4.5.2-2) unstable; urgency=low

  * Orphaning.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2008 16:36:12 -0300

configobj (4.5.2-1) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Homepage field added
  * Rename XS-Vcs-* fields to Vcs-* (dpkg supports them now)

  [ Sandro Tosi ]
  * debian/control
    - added Vcs-Browser

  [ Gustavo Noronha Silva ]
  * New upstream release
  * debian/rules:
  - configobj no longer provides an oddly-named changelog;
  * debian/rules, debian/python-configobj.install:
  - make sure to install all the useful stuff that now lives in
    doc/
  * debian/python-configobj.doc-base.api:
  - fixed Section to conform to the doc-base manual specifications
  * debian/control:
  - updated standards version to 3.7.3
  - no longer build-depend on a -1 revision for setuptools

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 10 May 2008 16:32:05 -0300

configobj (4.4.0-2) unstable; urgency=low

  [Gustavo Noronha Silva]
  * debian/control:
  - remove duplicated line from the description (Closes: #423188)
  * debian/rules:
  - use full-named arguments for epydoc; thanks to Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> for pointing out the fix;
    (Closes: #433744)

  [Piotr Ożarowski]
  * New python-support handles egg's directory name correctly
  * bump python-support required version
  * remove mv part from debian/rules

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 09 Aug 2007 21:37:04 -0300

configobj (4.4.0-1) unstable; urgency=low

  [ Piotr Ozarowski ]
  * Added XS-Vcs-Svn field

  [ Gustavo Noronha Silva ]
  * New upstream release
  * debian/control:
  - moved python-dev and python-support from build-deps-indep
    to build-deps, since they are needed to satisfy clean
    target
  - replaced python-dev with python-all-dev (>= 2.3.5-11), following
    the wiki NewPolicy documentation
  - updated python-support version requirement to 0.5.3, also according
    to the NewPolicy documentation
  * debian/pycompat:
  - removed, according to the NewPolicy on wiki
  * debian/patches/00_eggify.diff:
  - updated to the new version
  * debian/rules, debian/control:
  - use epydoc to generate the API documentation, since it is not included
    in this release's zip file; this adds epydoc as a build-dep-indep

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 21 Apr 2007 12:33:54 -0300

configobj (4.3.2-2) unstable; urgency=low

  * debian/rules:
  - rename the egg info directory so that easy_install and others
    will not ignore it because there is a python version number
    (Closes: #373935)
  * debian/pycompat:
  - added; track policy version
  * debian/control, debian/rules:
  - updated to python-support 0.3

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 23 Jun 2006 15:47:24 -0300

configobj (4.3.2-1) unstable; urgency=low

  * New upstream version
  * Supports the New Policy -- see specific changes below
    (Closes: #373309)
  * debian/patches/00_eggify.diff:
  - updated; there's no need to include ez_update; all we need to do is
    use setuptool's setup function instead of distutil's
  * debian/control:
  - moved python and python-setuptools to Build-Depends, since they
    are needed in the clean target
  - increased Standards-Version to 3.7.2 with no changes
  - build-depend on the versions of cdbs, debhelper and python-support
    which implement the new Python Policy
  - add the python X-headers, and replaced the Dependencies with a
    substitution variable that will be filled by the packaging tools
  - added Provides to provide all the version specific virtual packages
  * debian/python-configobj.{postinst,prerm}:
  - removed; will be created automatically by dh_pysupport
  * debian/rules:
  - removed hack to avoid calling dh_python: it will now help instead
    of mess
  * debian/watch:
  - added to monitor new versions

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 15 Jun 2006 18:38:06 -0300

configobj (4.3.1-1) unstable; urgency=low

  * Initial Release (Closes: #366372)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  7 May 2006 22:49:58 -0300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	env PYTHONPATH=`pwd` epydoc --name ConfigObj \
		--url http://www.voidspace.org.uk/python/configobj.html \
		-o api configobj

override_dh_compress:
	dh_compress -X.js

=== debian/watch ===
version=3

http://www.voidspace.org.uk/downloads/configobj-(.*)\.zip

## configobj 5.0.9

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/configobj.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/configobj.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/configobj"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/configobj"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## configobj 4.7.2%2Bds

=== debian/control ===
Source: configobj
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Stefano Rivera <stefanor@debian.org>,
 Jelmer Vernooij <jelmer@debian.org>
Build-Depends:
 debhelper (>= 8.1),
 python-all (>= 2.6.5-13~),
 python-docutils,
 python-epydoc,
 python-setuptools,
 python-unittest2
Standards-Version: 3.9.4
Homepage: http://www.voidspace.org.uk/python/configobj.html
X-Python-Version: >= 2.3
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/configobj/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/configobj/trunk/
XS-Testsuite: autopkgtest

Package: python-configobj
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: simple but powerful config file reader and writer for Python
 ConfigObj is a simple but powerful config file reader and writer: an
 ini file round tripper. Its main feature is that it is very easy to
 use, with a straightforward programmer's interface and a simple
 syntax for config files. It has lots of other features, though:
 .
  * Nested sections (subsections), to any level
  * List values
  * Multiple line values
  * String interpolation (substitution)
  * Integrated with a powerful validation system
    + including automatic type checking/conversion
    + and allowing default values
    + repeated sections
  * All comments in the file are preserved
  * The order of keys/sections is preserved
  * Full Unicode support
  * Powerful unrepr mode for storing/retrieving Python data-types

## configobj 4.7.2+ds

=== debian/changelog ===
configobj (4.7.2+ds-5build1) trusty; urgency=medium

  * Rebuild to drop files installed into /usr/share/pyshared.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Feb 2014 13:46:35 +0000

configobj (4.7.2+ds-5) unstable; urgency=low

  [ Stefano Rivera ]
  * Replace Daniel Watkins as the Maintainer, with the Debian Python Modules
    Team, at the request of the MIA team (Closes: #705273)
  * Add autopkgtests.
  * Bump Standards-Version to 3.9.4.
    - Bump B-D on debhelper to 8.1, for build-{arch,indep} support.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 May 2013 01:04:56 +0200

configobj (4.7.2+ds-4) unstable; urgency=low

  * Clean correctly (Closes: #671312)
    - Remove .egg-info
    - Remove generated API documentation.
  * Update machine-readable copyright file format to 1.0.
  * Bump Standards-Version to 3.9.3, no changes needed.
  * Move "docs" contents to a subdirectory in /usr/share/doc/python-configobj.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 03 May 2012 14:47:52 +0200

configobj (4.7.2+ds-3) unstable; urgency=low

  * Rebuild for Python transition.
  * Remove Breaks: ${python:Breaks}, no longer used by dh_python2.
  * Bump Standards-Version to 3.9.2 (no changes needed).

 -- Stefano Rivera <stefanor@debian.org>  Sat, 16 Apr 2011 09:28:21 +0200

configobj (4.7.2+ds-2) unstable; urgency=low

  [ Stefano Rivera ]
  * Don't leak uid and umask into source tarball and set -e.
  * Bumped Standards-Version to 3.9.1 (no changes needed).
  * Enable test suites.
    - Build Depend on python-all, python-unittest2.
    - New patch: report-doctest-failure.diff: Fail on failures.
    - New patch: py27-test.diff: Convert float-comparing doctests to unit
      tests.
  * Wrap long lines in debian/control.
  * Merge Build-Depends-Indep into Build-Depends (no arch-dependant packages).
  * Switch to dh_python2
    - Use X-Python-Version (requires python-all >= 2.6.5-13~).
    - Use ${python:Breaks}.
  * Update my e-mail address.
  * Use DEP5 format in debian/copyright.

  [ Jelmer Vernooij ]
  * Properly handle triple quotes. Closes: #618349, LP: #710410
  * Add myself to uploaders.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 16 Mar 2011 11:17:14 +0100

configobj (4.7.2+ds-1) unstable; urgency=low

  * New upstream release.
  * +ds version, as release zip file contains root-level __MACOSX directory.
  * Added get-orig-source rule to debian/rules

 -- Stefano Rivera <stefano@rivera.za.net>  Fri, 05 Mar 2010 21:12:23 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build
	env PYTHONPATH=`pwd` epydoc --name ConfigObj \
		--url http://www.voidspace.org.uk/python/configobj.html \
		-o api configobj

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -ex; \
	export PYTHONPATH=.; \
	export PYTHONWARNINGS=default; \
	for py in $(shell pyversions -r); do \
		$$py tests/test_configobj.py; \
		if [ "$$py" = "python2.7" ]; then \
			$$py -m unittest discover -s tests; \
		else \
			$$py $(shell which unit2) discover -s tests; \
		fi; \
	done
endif

override_dh_compress:
	dh_compress -X.js

get-orig-source:
	set -e; \
	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p'); \
	uscan --noconf --force-download --download-version=$$VER --destdir=.; \
	unzip configobj-$$VER.zip; \
	rm configobj-$$VER.zip; \
	rm -r __MACOSX; \
	GZIP=--best tar -cz --owner root --group root --mode a+rX \
	                -f configobj_$$VER+ds.orig.tar.gz configobj-$$VER; \
	rm -r configobj-$$VER

=== debian/tests/control ===
Tests: unittests
Depends: @, python-all, python-unittest2

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds// \
http://www.voidspace.org.uk/downloads/configobj-(.*)\.zip

## configobj 5.0.6

=== debian/changelog ===
configobj (5.0.6-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Apply multi-arch hints.
    + python-configobj-doc: Add Multi-Arch: foreign.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Stefano Rivera ]
  * Add Changelog and Registry to upstream metadata.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump copyright years.
  * Bump watch file version to 4.
  * Document upstream status on patches.

  [ Helmut Grohne ]
  * Mark all packages Multi-Arch: foreign. (Closes: #984813)

  [ Jelmer Vernooĳ ]
  * Bump debhelper from old 12 to 13.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 30 Sep 2021 13:21:13 -0700

configobj (5.0.6-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Contact, Name.
  * Remove obsolete fields Name, Contact from debian/upstream/metadata.
  * Set upstream metadata fields: Repository.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936325

 -- Sandro Tosi <morph@debian.org>  Sat, 04 Apr 2020 18:57:38 -0400

configobj (5.0.6-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove XS-Testsuite field, not needed anymore
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * Add dh-python to Build-Depends

  [ Stefano Rivera ]
  * Bump debhelper compat to 11.
  * Drop get-orig-source, no longer used.
  * Drop python-epydoc B-D, no longer used. (Closes: #881545)
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Round-trip patches through PQ.
  * Bump copyright years.
  * Build Sphinx docs with python3-sphinx.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 27 Aug 2018 13:47:26 +0100

configobj (5.0.6-2) unstable; urgency=medium

  * Team upload.
  * debian/control: Bump Standards-Version with no other changes needed.

 -- Barry Warsaw <barry@debian.org>  Fri, 17 Jul 2015 12:16:30 -0400

configobj (5.0.6-1) unstable; urgency=medium

  * Team upload.
  * Update watch file to point to GitHub releases.
  * Bump Standards-Version to 3.9.5
  * Use the pybuild buildsystem.
  * Release a package for Python 3. (Closes: #660172)
  * Refresh eggify.diff
  * Drop report-doctest-failure.diff and py27-test.diff (fixed upstream).
  * Disable triplequotes.diff (fail to apply).
  * Fix deprecation warning test case.
  * Adjust autopkgtests to run pytest for Python 2.x and 3.x.
  * Move documentation into separate package and build Sphinx documentation.
  * Update debian/copyright

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Thu, 28 Aug 2014 18:42:29 +0200

=== debian/control ===
Source: configobj
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stefano Rivera <stefanor@debian.org>,
 Jelmer Vernooij <jelmer@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-pytest,
 python3-setuptools,
 python3-sphinx,
 python3-six
Standards-Version: 4.6.0
Homepage: http://www.voidspace.org.uk/python/configobj.html
Vcs-Git: https://salsa.debian.org/python-team/packages/configobj.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/configobj
Rules-Requires-Root: no

Package: python-configobj-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Multi-Arch: foreign
Description: simple but powerful config file reader and writer (documentation)
 ConfigObj is a simple but powerful config file reader and writer: an
 ini file round tripper. Its main feature is that it is very easy to
 use, with a straightforward programmer's interface and a simple
 syntax for config files. It has lots of other features, though:
 .
  * Nested sections (subsections), to any level
  * List values
  * Multiple line values
  * String interpolation (substitution)
  * Integrated with a powerful validation system
    + including automatic type checking/conversion
    + and allowing default values
    + repeated sections
  * All comments in the file are preserved
  * The order of keys/sections is preserved
  * Full Unicode support
  * Powerful unrepr mode for storing/retrieving Python data-types
 .
 This package includes the documentation in HTML format.

Package: python3-configobj
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-configobj-doc
Description: simple but powerful config file reader and writer for Python 3
 ConfigObj is a simple but powerful config file reader and writer: an
 ini file round tripper. Its main feature is that it is very easy to
 use, with a straightforward programmer's interface and a simple
 syntax for config files. It has lots of other features, though:
 .
  * Nested sections (subsections), to any level
  * List values
  * Multiple line values
  * String interpolation (substitution)
  * Integrated with a powerful validation system
    + including automatic type checking/conversion
    + and allowing default values
    + repeated sections
  * All comments in the file are preserved
  * The order of keys/sections is preserved
  * Full Unicode support
  * Powerful unrepr mode for storing/retrieving Python data-types
 .
  This is the Python 3 version of the package.

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-configobj, python3-pytest

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/configobj-$1\.tar\.gz/ \
https://github.com/DiffSK/configobj/releases .*/v?(\d\S*)\.tar\.gz

## configobj 5.0.6+git20201014.3e2f4cc

=== debian/changelog ===
configobj (5.0.6+git20201014.3e2f4cc-1) unstable; urgency=medium

  * New upstream git source.
  * Fetch from git HEAD, as upstream hasn't released in years.
    - Migrates towards a configobj module. (Closes: #1016467)
    - Declare Breaks cloud-init (<< 22.3), as it used a private API that has
      been removed.
  * Build the separate setup_validate.py, too.
  * Drop patches, superseded upstream.
  * Update src test location.
  * Build-Depend on python3-mock and python3-sphinx-rtd-theme, now required
    upstream.
  * Support nodoc and nocheck build profiles.
  * Bump Standards-Version to 4.6.1, no changes needed.
  * Update copyright.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Dec 2022 19:45:33 -0400

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,16 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
- python3-pytest,
+ python3-mock <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-sphinx,
- python3-six
-Standards-Version: 4.6.0
+ python3-six <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.6.1
 Homepage: http://www.voidspace.org.uk/python/configobj.html
 Vcs-Git: https://salsa.debian.org/python-team/packages/configobj.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/configobj
@@ -23,6 +27,7 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Breaks: cloud-init (<< 22.3)
 Multi-Arch: foreign
 Description: simple but powerful config file reader and writer (documentation)
  ConfigObj is a simple but powerful config file reader and writer: an

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME=configobj
export PYBUILD_AFTER_BUILD={interpreter} {dir}/setup_validate.py build
export PYBUILD_AFTER_INSTALL=PYTHONPATH={destdir}{install_dir} {interpreter} {dir}/setup_validate.py install --root {destdir}

%:
	dh $@ --buildsystem=pybuild

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_clean:
	make -C docs clean

execute_after_dh_auto_build:
	make -C docs html
endif

override_dh_auto_test:
	dh_auto_test -- --test-pytest --test-args "$(CURDIR)/src/tests"

override_dh_compress:
	dh_compress -X.js

override_dh_installdocs:
	dh_installdocs -p python-configobj-doc --doc-main-package=python-configobj-doc
	dh_installdocs --remaining-packages

=== debian/watch ===
version=4
# opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/configobj-$1\.tar\.gz/ \
# https://github.com/DiffSK/configobj/releases .*/v?(\d\S*)\.tar\.gz
opts="mode=git, pgpmode=none, pretty=5.0.6+git%cd.%h" \
https://github.com/DiffSK/configobj.git HEAD

## configobj 5.0.8

=== debian/changelog ===
configobj (5.0.8-1) unstable; urgency=medium

  * New upstream release!
  * Switch back to upstream releases, they've releasing again.
  * Update copyright.
  * Drop the separate setup_validate.py build, no longer needed.
  * Build with pybuild's pyproject plugin.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 26 Jan 2023 18:57:36 -0400

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
  Jelmer Vernooij <jelmer@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-mock <!nocheck>,
  python3-pytest <!nocheck>,
@@ -17,7 +17,7 @@
  python3-six <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://www.voidspace.org.uk/python/configobj.html
 Vcs-Git: https://salsa.debian.org/python-team/packages/configobj.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/configobj

=== debian/tests/control ===
Tests: unittests
Depends: python3-all, python3-configobj, python3-mock, python3-pytest

## configobj 5.0.9

=== debian/changelog ===
configobj (5.0.9-1) unstable; urgency=medium

  * New upstream point-release.
  * Drop patches, superseded upstream.
  * Bump copyright years.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 22 Sep 2024 20:47:30 +0200

configobj (5.0.8-3) unstable; urgency=medium

  * Team upload.
  * remove obsolete dependency on python3-mock

  [ Jelmer Vernooĳ ]
  * remove obsolete dependency on python3-six

 -- Alexandre Detiste <tchet@debian.org>  Mon, 08 Jan 2024 00:59:06 +0100

configobj (5.0.8-2) unstable; urgency=medium

  * Patch: Resolve CVE-2023-26112, a Regular Expression Denial of Service
    attack. (Closes: #1034152)
  * Clean correctly.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 03 Jun 2023 16:23:41 -0400

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,11 @@
  dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-mock <!nocheck>,
  python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://www.voidspace.org.uk/python/configobj.html
 Vcs-Git: https://salsa.debian.org/python-team/packages/configobj.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/configobj

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,6 @@
 # -*- makefile -*-
 
 export PYBUILD_NAME=configobj
-export PYBUILD_AFTER_BUILD={interpreter} {dir}/setup_validate.py build
-export PYBUILD_AFTER_INSTALL=PYTHONPATH={destdir}{install_dir} {interpreter} {dir}/setup_validate.py install --root {destdir}
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/DiffSK/configobj/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
